| Home | Libraries | People | FAQ | More

###### ssl_stream::shutdown (1 of 2 overloads)

Shut down SSL on the stream.

###### Synopsis

    void
    shutdown();

###### Description

This function is used to shut down SSL on the stream. The function call will block until SSL has been shut down or an error occurs.

###### Exceptions

Type | Thrown On
--- | ---
`boost::system::system_error` | Thrown on failure.